Name:           pam_u2f
Version:        0.0.1
Release:        1%{?dist}
Summary:        A Pluggable Authentication Module for FIDO U2F

Group:          System Environment/Base
License:        BSD
URL:            http://opensource.yubico.com/pam-u2f/
Source0:        http://opensource.yubico.com/pam-u2f/releases/%{name}-%{version}.tar.gz

BuildRequires:  libu2f-host-devel
BuildRequires:  libu2f-server-devel
BuildRequires:  pam-devel


%description
This module implements PAM authentication over U2F. Registration should be
performed using the included tool. Multiple devices are supported

%prep
%setup -q

%build
%configure --disable-rpath --disable-static \
           --with-pam-dir=/%{_lib}/security/

# --disable-rpath doesn't work.
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%check
LD_LIBRARY_PATH="$(pwd)/.libs" make check

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README ChangeLog AUTHORS NEWS
/%{_lib}/security/pam_u2f.so
%{_bindir}/pamu2fcfg
%{_mandir}/man1/pamu2fcfg.1.gz
%{_mandir}/man8/pam_u2f.8.gz

%changelog
* Sun Mar 29 2015 Jerome Brunet <guizmo-copr@liltaz.com> - 0.0.1-1
- Update to upstream release 0.0.1

* Mon Jan 19 2015 Jerome Brunet <guizmo-copr@liltaz.com> - 0.0.0-2
- Correct url ( - instead of _ )

* Wed Jan 14 2015 Jerome Brunet <guizmo-copr@liltaz.com> - 0.0.0-1
- New package with release 0.0.0
